#### Description:

An SlaMap is a specialised form of Mapping which can be used to represent a sequence of conversions between standard celestial (longitude, latitude) coordinate systems.

When an SlaMap is first created, it simply performs a unit (null) Mapping on a pair of coordinates. Using the astSlaAdd function, a series of coordinate conversion steps may then be added, selected from those provided by the SLALIB Positional Astronomy Library (Starlink User Note SUN/67). This allows multi-step conversions between a variety of celestial coordinate systems to be assembled out of the building blocks provided by SLALIB.

For details of the individual coordinate conversions available, see the description of the astSlaAdd function.

#### Constructor Function

astSlaMap (also see astSlaAdd)

#### Inheritance

The SlaMap class inherits from the Mapping class.

#### Attributes

The SlaMap class does not define any new attributes beyond those which are applicable to all Mappings.

#### Functions

In addition to those functions applicable to all Mappings, the following function may also be applied to all SlaMaps:

- astSlaAdd: Add a celestial coordinate conversion to an SlaMap

Copyright (C) 2021 East Asian Observatory